org.apache.uima.resourceSpecifier.factory

## Interface ServiceContext

-     public interface ServiceContext

  The Interface ServiceContext.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBrokerURL()` Gets the broker url.
    `int` | `getCasPoolSize()` Gets the cas pool size.
    `org.apache.uima.resourceSpecifier.factory.Action` | `getCpCAdditionalAction()` Gets the cp c additional action.
    `String` | `getDescription()` Gets the description.
    `String` | `getDescriptor()` Gets the descriptor.
    `String` | `getEndpoint()` Gets the endpoint.
    `int` | `getInitialHeapSize()` Gets the initial heap size.
    `String` | `getName()` Gets the name.
    `int` | `getPrefetch()` Gets the prefetch.
    `org.apache.uima.resourceSpecifier.factory.Action` | `getProcessErrorThresholdAction()` Gets the process error threshold action.
    `int` | `getProcessErrorThresholdCount()` Gets the process error threshold count.
    `int` | `getProcessErrorThresholdWindow()` Gets the process error threshold window.
    `String` | `getProtocol()` Gets the protocol.
    `String` | `getProvider()` Gets the provider.
    `int` | `getScaleup()` Gets the scaleup.
    `boolean` | `isAggregate()` Checks if is aggregate.
    `boolean` | `isAsync()` Checks if is async.
    `boolean` | `isCasMultiplier()` Checks if is cas multiplier.
    `boolean` | `processParentLast()` Process parent last.
    `void` | `setAggregate(boolean aggregate)` Sets the aggregate.
    `void` | `setAsync(boolean async)` Sets the async.
    `void` | `setBrokerURL(String brokerURL)` Sets the broker url.
    `void` | `setCasMultiplier(boolean casMultiplier)` Sets the cas multiplier.
    `void` | `setCasPoolSize(int casPoolSize)` Sets the cas pool size.
    `void` | `setCpCAdditionalAction(org.apache.uima.resourceSpecifier.factory.Action action)` Sets the cp c additional action.
    `void` | `setDescription(String description)` Sets the description.
    `void` | `setDescriptor(String descriptor)` Sets the descriptor.
    `void` | `setEndpoint(String endpoint)` Sets the endpoint.
    `void` | `setInitialHeapSize(int initialHeapSize)` Sets the initial heap size.
    `void` | `setName(String name)` Sets the name.
    `void` | `setPrefetch(int prefetch)` Sets the prefetch.
    `void` | `setProcessErrorThresholdAction(org.apache.uima.resourceSpecifier.factory.Action action)` Sets the process error threshold action.
    `void` | `setProcessErrorThresholdCount(int thresholdCount)` Sets the process error threshold count.
    `void` | `setProcessErrorThresholdWindow(int thresholdWindow)` Sets the process error threshold window.
    `void` | `setProcessParentLast(boolean processParentLast)` Sets the process parent last.
    `void` | `setProtocol(String protocol)` Sets the protocol.
    `void` | `setProvider(String provider)` Sets the provider.
    `void` | `setScaleup(int scaleUp)` Sets the scaleup.

- - ### Method Detail

    - #### setName

          void setName(String name)

      Sets the name.
      Parameters:
        `name` - the new name

    - #### getName

          String getName()

      Gets the name.
      Returns:
        the name

    - #### setDescription

          void setDescription(String description)

      Sets the description.
      Parameters:
        `description` - the new description

    - #### getDescription

          String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescriptor

          void setDescriptor(String descriptor)

      Sets the descriptor.
      Parameters:
        `descriptor` - the new descriptor

    - #### getDescriptor

          String getDescriptor()

      Gets the descriptor.
      Returns:
        the descriptor

    - #### setAsync

          void setAsync(boolean async)

      Sets the async.
      Parameters:
        `async` - the new async

    - #### isAsync

          boolean isAsync()

      Checks if is async.
      Returns:
        true, if is async

    - #### setProtocol

          void setProtocol(String protocol)

      Sets the protocol.
      Parameters:
        `protocol` - the new protocol

    - #### getProtocol

          String getProtocol()

      Gets the protocol.
      Returns:
        the protocol

    - #### setProvider

          void setProvider(String provider)

      Sets the provider.
      Parameters:
        `provider` - the new provider

    - #### getProvider

          String getProvider()

      Gets the provider.
      Returns:
        the provider

    - #### setEndpoint

          void setEndpoint(String endpoint)

      Sets the endpoint.
      Parameters:
        `endpoint` - the new endpoint

    - #### getEndpoint

          String getEndpoint()

      Gets the endpoint.
      Returns:
        the endpoint

    - #### setBrokerURL

          void setBrokerURL(String brokerURL)

      Sets the broker url.
      Parameters:
        `brokerURL` - the new broker url

    - #### getBrokerURL

          String getBrokerURL()

      Gets the broker url.
      Returns:
        the broker url

    - #### setPrefetch

          void setPrefetch(int prefetch)

      Sets the prefetch.
      Parameters:
        `prefetch` - the new prefetch

    - #### getPrefetch

          int getPrefetch()

      Gets the prefetch.
      Returns:
        the prefetch

    - #### setScaleup

          void setScaleup(int scaleUp)

      Sets the scaleup.
      Parameters:
        `scaleUp` - the new scaleup

    - #### getScaleup

          int getScaleup()

      Gets the scaleup.
      Returns:
        the scaleup

    - #### setCasMultiplier

          void setCasMultiplier(boolean casMultiplier)

      Sets the cas multiplier.
      Parameters:
        `casMultiplier` - the new cas multiplier

    - #### isCasMultiplier

          boolean isCasMultiplier()

      Checks if is cas multiplier.
      Returns:
        true, if is cas multiplier

    - #### setAggregate

          void setAggregate(boolean aggregate)

      Sets the aggregate.
      Parameters:
        `aggregate` - the new aggregate

    - #### isAggregate

          boolean isAggregate()

      Checks if is aggregate.
      Returns:
        true, if is aggregate

    - #### setCasPoolSize

          void setCasPoolSize(int casPoolSize)

      Sets the cas pool size.
      Parameters:
        `casPoolSize` - the new cas pool size

    - #### getCasPoolSize

          int getCasPoolSize()

      Gets the cas pool size.
      Returns:
        the cas pool size

    - #### setInitialHeapSize

          void setInitialHeapSize(int initialHeapSize)

      Sets the initial heap size.
      Parameters:
        `initialHeapSize` - the new initial heap size

    - #### getInitialHeapSize

          int getInitialHeapSize()

      Gets the initial heap size.
      Returns:
        the initial heap size

    - #### setProcessParentLast

          void setProcessParentLast(boolean processParentLast)

      Sets the process parent last.
      Parameters:
        `processParentLast` - the new process parent last

    - #### processParentLast

          boolean processParentLast()

      Process parent last.
      Returns:
        true, if successful

    - #### setProcessErrorThresholdCount

          void setProcessErrorThresholdCount(int thresholdCount)

      Sets the process error threshold count.
      Parameters:
        `thresholdCount` - the new process error threshold count

    - #### getProcessErrorThresholdCount

          int getProcessErrorThresholdCount()

      Gets the process error threshold count.
      Returns:
        the process error threshold count

    - #### setProcessErrorThresholdWindow

          void setProcessErrorThresholdWindow(int thresholdWindow)

      Sets the process error threshold window.
      Parameters:
        `thresholdWindow` - the new process error threshold window

    - #### getProcessErrorThresholdWindow

          int getProcessErrorThresholdWindow()

      Gets the process error threshold window.
      Returns:
        the process error threshold window

    - #### setProcessErrorThresholdAction

          void setProcessErrorThresholdAction(org.apache.uima.resourceSpecifier.factory.Action action)

      Sets the process error threshold action.
      Parameters:
        `action` - the new process error threshold action

    - #### getProcessErrorThresholdAction

          org.apache.uima.resourceSpecifier.factory.Action getProcessErrorThresholdAction()

      Gets the process error threshold action.
      Returns:
        the process error threshold action

    - #### setCpCAdditionalAction

          void setCpCAdditionalAction(org.apache.uima.resourceSpecifier.factory.Action action)

      Sets the cp c additional action.
      Parameters:
        `action` - the new cp c additional action

    - #### getCpCAdditionalAction

          org.apache.uima.resourceSpecifier.factory.Action getCpCAdditionalAction()

      Gets the cp c additional action.
      Returns:
        the cp c additional action

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.